=== debian/changelog ===
networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu5) oneiric; urgency=low

  * Cherry pick from upstream:
    o fix vpnc connetions
      patches/010_git-5e19d5bbd46ce19f32b8a038fa5121932e905732.patch
      patches/020_git-8894d0de848c4bad7ae689eba62e3f34089b6510.patch

    o Makes kded module starts to emit notifications only after the plasmoid
      has been created
      patches/015_git-785023bf778b7cabbb482cac74b20896a07cb82f.patch

 -- Achim Bohnet <allee@kubuntu.org>  Thu, 29 Sep 2011 19:14:52 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:47:02 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu3) oneiric; urgency=low

  * debian/patches/nm_versions_comparison.patch: workaround version checking
    issues in UI (and in build...) by specifying a slightly higher minimum
    version number for NM libraries. (LP: #838099)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 Sep 2011 18:50:44 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu2) oneiric; urgency=low

  * Build-dep on kde-workspace-dev instead of kdebase-workspace-dev
  * Rebuild for libsolidcontrol transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 11:17:29 -0400

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu1) oneiric; urgency=low

  * plasma-widget-networkmanagement replaces/breaks
    network-manager-openvpn-kde, network-manager-pptp-kde,
    network-manager-strongswan-kde, network-manager-vpnc-kde
  * Demote network-manager-vpnc, network-manager-openvpn,
    network-manager-pptp to suggests.
  * New upstream snapshot from nm09 branch.
  * Set minimal network-manager version to 0.8.9997.
  * Install solid nm09 lib.
  * Add libxrandr-dev to build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 10 Jun 2011 17:50:50 +0200
