## networkmanagement 0.9.0~rc4

=== debian/changelog ===
networkmanagement (0.9.0~rc4-0ubuntu1~oneiric1) oneiric-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Fri, 27 Jan 2012 16:19:58 +0000

networkmanagement (0.9.0~rc4-0ubuntu1) precise; urgency=low

  * New upstream release candidate.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 22 Jan 2012 13:52:50 +0100

networkmanagement (0.9.0~rc3-0ubuntu2) precise; urgency=low

  * Fix network-manager-kde version number in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jan 2012 17:07:32 +0000

networkmanagement (0.9.0~rc3-0ubuntu1) precise; urgency=low

  * New upstream release (0.8.98 aka 0.9.0 rc3).
  * Drop kubuntu_add_subdirectory_po.diff - merged upstream.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debhelper build dependency to 8.0.0.
    - fix transitional-package-should-be-oldlibs-extra lintian warning.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 Jan 2012 09:27:59 +0200

networkmanagement (0.9~svngit.nm09.20111023.ff842e-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
  * Drop all patches, merged upstream.
  * Add kubuntu_add_subdirectory_po.diff to build the translations.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 Oct 2011 14:00:13 +0200
