## networkmanagement 0.9.0

=== debian/changelog ===
networkmanagement (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add watch file and track unstable releases for now.
  * Install gettext translations.
  * Simplify the way we compute the version number for the network-manager-kde
    dummy package (which needs an epoch).
  * Move dummy transitional package for network-manager-kde into section
    oldlibs with priority extra.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Install network2.svgz icon and remove override for dh_install which is no
    longer necessary.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2012 02:41:55 +0100
