=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.6.0), kdebase-workspace-dev (>= 4:4.6.0),
 network-manager-dev (>= 0.9.0), libnm-util-dev (>= 0.9.0), mobile-broadband-provider-info
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.0),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Replaces: knm-runtime
Breaks: knm-runtime
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: network-manager-kde
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.
