## networkmanagement 0.9.0.1

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nb)
add_subdirectory(cs)
add_subdirectory(sk)
add_subdirectory(fi)
add_subdirectory(nn)
add_subdirectory(el)
add_subdirectory(hu)
add_subdirectory(pl)
add_subdirectory(ga)
add_subdirectory(se)
add_subdirectory(ca)
add_subdirectory(ar)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(de)
add_subdirectory(km)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(ja)
add_subdirectory(pt_BR)
add_subdirectory(es)
add_subdirectory(fa)
add_subdirectory(lt)
add_subdirectory(nds)
add_subdirectory(zh_TW)
add_subdirectory(it)
add_subdirectory(da)
