=== solidcontrolfuture/libs/solid/CMakeLists.txt ===
add_subdirectory( control )
