=== debian/changelog ===
networkmanagement (0.9.0.1-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:09 +0100

networkmanagement (0.9.0.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add build-dep on libnm-glib-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Apr 2012 14:24:01 +0100

networkmanagement (0.9.0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #922168)
    remaining changes:
    - Build-depend on kde-workspace-dev instead of kdebase-workspace-dev 
    - plasma-widget-networkmanagement suggests kde-workspace-bin instead of
      kdebase-workspace-bin
    - plasma-widget-networkmanagement suggests instead of recommends
      network-manager-vpnc, network-manager-openvpn, network-manager-pptp
    - keep Breaks/Replaces for plasma-widget-networkmanagement
    - plasma-widget-networkmanagement-dbg suggests kde-workspace-dbg
      instead of kdebase-workspace-dbg

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 01 Mar 2012 18:51:11 +0100

networkmanagement (0.9.0~rc4-0ubuntu2) precise; urgency=low

  * Cherry pick upstream commit 6a5e30e94ee539b7765eb5ad054bf9e1a6785703
    as fix-and-workaround-graphical-artifacts.diff
    to fix graphical artifacts in buttons with the default plasma theme.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 11 Feb 2012 20:44:55 +0100
